Bug 162464 - [ipr] Unclear licensing for some krb5 (Kerberos) files
Summary: [ipr] Unclear licensing for some krb5 (Kerberos) files
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: krb5   
(Show other bugs)
Version: 3.0
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-05 08:49 UTC by Imed Chihi
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:58:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Imed Chihi 2005-07-05 08:49:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
The source RPM of krb5 (at least on version 1.2.7) contains six (06) files with an unclear (possibly questionable) licensing:

1. src/lib/crypto/des/f_cbc.c
2. src/lib/crypto/des/f_cksum.c
3. src/lib/crypto/des/f_sched.c
4. src/lib/crypto/des/f_tables.c
5. src/lib/crypto/des/f_tables.h
6. src/lib/des425/pcbc_encrypt.c
     Copyright (c) 1990 Dennis Ferguson.  All rights reserved.
     Commercial use is permitted only if products which are derived from
     or include this software are made available for purchase and/or use
     in Canada.  Otherwise, redistribution and use in source and binary
     forms are permitted.

This may be a concern for some OEM vendors shipping Red Hat Enterprise Linux.

Version-Release number of selected component (if applicable):
Checked on 1.2.7-28 (should apply to all versions)

How reproducible:
Always

Steps to Reproduce:
On Red Hat Enterprise Linux 3 (possibly other releases)
1. up2date --get-source up2date --get-source krb5-libs
2. rpm -Uvh /var/spool/up2date/krb5-1.2.7-28.src.rpm
3. cd /usr/src/redhat/SPECS/
4. rpmbuild -bp krb5.spec
5. cd /usr/src/redhat/BUILD/krb5-1.2.7/
6. View src/lib/crypto/des/f_cksum.c, src/lib/crypto/des/f_sched.c, src/lib/crypto/des/f_tables.c, src/lib/crypto/des/f_tables.h and src/lib/des425/pcbc_encrypt.c

Actual Results:  An unclear (possibly legally questionable) usage and distribution license.

Expected Results:  A clearer licensing (GPL?) for usage and distribution.

Additional info:

Comment 4 RHEL Product and Program Management 2007-10-19 18:58:40 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.